Subject: [dhcwg] RFC 3633: T1 greater than T2

From: Yukiyo Akisada <[email-masked]>
Date: Tue, 15 Sep 2009 14:44:10 +0900

Hi, all.

I just want to confirm my understanding.

RFC 3315 says as quoted below,

   RFC 3315
   Section 22.4. Identity Association for Non-temporary Addresses Option

   4126    If a server receives an IA_NA with T1 greater than T2, and both T1
   4127    and T2 are greater than 0, the server ignores the invalid values of
   4128    T1 and T2 and processes the IA_NA as though the client had set T1 and
   4129    T2 to 0.

But corresponding section in RFC 3633 says,

    RFC 3633
    Section 9. Identity Association for Prefix Delegation Option

    463    If a delegating router receives an IA_PD with T1 greater than T2, and
    464    both T1 and T2 are greater than 0, the delegating router ignores the
    465    invalid values of T1 and T2 and processes the IA_PD as though the
    466    delegating router had set T1 and T2 to 0.

Should line 466 be "requesting router had set T1 and T2 to 0."?

My understanding is,
when the delegating router receives an IA_PD matching in this case,
delegating router doesn't need to set T1 and T2 to 0
but delegating router can set any values by its own policy.

Is this right?

Regards,

-- 
Yukiyo Akisada <[email-masked]>

---

From: Ole Troan <[email-masked]>
Date: Tue, 15 Sep 2009 16:08:14 +0900

> but delegating router can set any values by its own policy.

yes, that is correct. line 466 should read requesting router.

cheers,
Ole

---

From: Yukiyo Akisada <[email-masked]>
Date: Tue, 15 Sep 2009 16:29:10 +0900

Hi, Ole.

Thanks for your confirmation.
Now I'm clear.

Should I report at RFC Errata?

On Tue, 15 Sep 2009 16:08:14 +0900

---

From: Ralph Droms <[email-masked]>
Date: Tue, 15 Sep 2009 06:08:30 -0400

Yes, please do submit an RFC errata and thanks for catching the error.

- Ralph

On Sep 15, 2009, at 3:29 AM 9/15/09, Yukiyo Akisada wrote:

> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg